Skip to main content
POST
Submit Agent Approval

Authorizations

Authorization
string
header
required

JWT in Authorization header. 'Bearer ' prefix optional.

Path Parameters

run_id
string<uuid>
required

Run ID

approval_id
string<uuid>
required

Approval ID

Body

application/json
decision
enum<string>
required

Approval decision

Available options:
approve,
reject
note
string | null

Optional decision note

Response

Successful Response

id
string<uuid>
required

Run ID

conversation_id
string<uuid>
required

Conversation ID

created_by_user_id
string<uuid>
required

User that started the run

status
enum<string>
required

Run status

Available options:
pending,
running,
requires_approval,
paused,
completed,
failed,
cancel_requested,
cancelled
created
string<date-time>
required

Creation timestamp

updated
string<date-time>
required

Last update timestamp

user_message_id
string<uuid> | null

User message that started the run

model
string | null

Model selected for the run

provider_run_id
string | null

Runtime provider run ID

error
Error · object | null

Structured error data

cancel_requested_at
string<date-time> | null

Cancellation request timestamp

cancelled_at
string<date-time> | null

Cancellation completion timestamp

completed_at
string<date-time> | null

Completion timestamp